Author:     Noah Misch <noah@leadboat.com>
Commit:     Noah Misch <noah@leadboat.com>

    Use --no-unlogged-table-data in t/027_stream_regress.pl.
    
    This removes the need to drop unlogged relations in the src/test/regress
    suite, like commit dec8ad367e46180f826d5b6dc820fbecba1b71d2 did.
    
    Reviewed by FIXME.
    
    Discussion: https://postgr.es/m/39945.1650895508@sss.pgh.pa.us

diff --git a/src/test/recovery/t/027_stream_regress.pl b/src/test/recovery/t/027_stream_regress.pl
index fdb4ea0..7982ac0 100644
--- a/src/test/recovery/t/027_stream_regress.pl
+++ b/src/test/recovery/t/027_stream_regress.pl
@@ -100,7 +100,8 @@ $node_primary->wait_for_catchup($node_standby_1, 'replay',
 command_ok(
 	[
 		'pg_dumpall', '-f', $outputdir . '/primary.dump',
-		'--no-sync', '-p', $node_primary->port
+		'--no-sync',  '-p', $node_primary->port,
+		'--no-unlogged-table-data'    # if unlogged, standby has schema only
 	],
 	'dump primary server');
 command_ok(
